import java.util.Iterator;
import java.util.List;

import org.hibernate.Session;

public class Main {
  public static void main(String[] args) throws Exception {
    HibernateUtil hibernateUtil = new HibernateUtil();
    hibernateUtil
        .executeSQLCommand("create table CD(id varchar,title varchar,artist varchar,purchaseDate date,cost decimal(6,2))");

    Session session = hibernateUtil.getSession();
    CD cd = new CD();
    cd.setArtist("artist");
    cd.setTitle("title");
    
    String id = (String)session.save(cd);
    System.out.println(id);
    session.flush();

    
    List cds = session.createQuery("from CD").list();
    Iterator iter = cds.iterator();
    while (iter.hasNext()) {
      CD cd1 = (CD) iter.next();
      System.out.println(cd1.getFullName());
    }
    session.close();
    hibernateUtil.checkData("select * from CD");
  }
}